# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Person'
        db.create_table('rattail_people', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('first_name', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
                ('middle_name', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
                ('last_name', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
                ('display_name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
                ('driver_license_state', self.gf('django.db.models.fields.CharField')(max_length=4, null=True, blank=True)),
                ('driver_license_number', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['Person'])

        # Adding model 'PhoneNumber'
        db.create_table('rattail_phone_numbers', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('parent_type', self.gf('django.db.models.fields.CharField')(max_length=20)),
                ('parent_uuid', self.gf('django.db.models.fields.CharField')(max_length=32)),
                ('preference', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('type', self.gf('django.db.models.fields.CharField')(max_length=15, null=True, blank=True)),
                ('number', self.gf('django.db.models.fields.CharField')(max_length=20)),
                ))
        db.send_create_signal('rattail', ['PhoneNumber'])

        # Adding model 'EmailAddress'
        db.create_table('rattail_email_addresses', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('parent_type', self.gf('django.db.models.fields.CharField')(max_length=20)),
                ('parent_uuid', self.gf('django.db.models.fields.CharField')(max_length=32)),
                ('preference', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('type', self.gf('django.db.models.fields.CharField')(max_length=15, null=True, blank=True)),
                ('address', self.gf('django.db.models.fields.CharField')(max_length=255)),
                ))
        db.send_create_signal('rattail', ['EmailAddress'])

        # Adding model 'PostalAddress'
        db.create_table('rattail_postal_addresses', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('parent_type', self.gf('django.db.models.fields.CharField')(max_length=20)),
                ('parent_uuid', self.gf('django.db.models.fields.CharField')(max_length=32)),
                ('preference', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('type', self.gf('django.db.models.fields.CharField')(max_length=15, null=True, blank=True)),
                ('street', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
                ('street2', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
                ('city', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
                ('state', self.gf('django.db.models.fields.CharField')(max_length=2, null=True, blank=True)),
                ('zipcode', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['PostalAddress'])

        # Adding model 'Party'
        db.create_table('rattail_parties', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('parent_type', self.gf('django.db.models.fields.CharField')(max_length=20)),
                ('parent_uuid', self.gf('django.db.models.fields.CharField')(max_length=32)),
                ('person', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Person'], db_column='person_uuid')),
                ('type', self.gf('django.db.models.fields.CharField')(max_length=25, null=True, blank=True)),
                ('preference', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['Party'])

        # Adding model 'Role'
        db.create_table('rattail_roles', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=25)),
                ))
        db.send_create_signal('rattail', ['Role'])

        # Adding model 'User'
        db.create_table('rattail_users', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('username', self.gf('django.db.models.fields.CharField')(unique=True, max_length=25)),
                ('password', self.gf('django.db.models.fields.CharField')(max_length=60, null=True, blank=True)),
                ('salt', self.gf('django.db.models.fields.CharField')(max_length=29, null=True, blank=True)),
                ('person', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Person'], null=True, db_column='person_uuid', blank=True)),
                ))
        db.send_create_signal('rattail', ['User'])

        # Adding model 'UserRole'
        db.create_table('rattail_users_roles', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('user', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.User'], db_column='user_uuid')),
                ('role', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Role'], db_column='role_uuid')),
                ))
        db.send_create_signal('rattail', ['UserRole'])

        # Adding model 'Store'
        db.create_table('rattail_stores', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('id', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
                ('name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['Store'])

        # Adding model 'Department'
        db.create_table('rattail_departments', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('number', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('name', self.gf('django.db.models.fields.CharField')(max_length=30, null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['Department'])

        # Adding model 'Subdepartment'
        db.create_table('rattail_subdepartments', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('number', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('name', self.gf('django.db.models.fields.CharField')(max_length=30, null=True, blank=True)),
                ('department', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Department'], null=True, db_column='department_uuid', blank=True)),
                ))
        db.send_create_signal('rattail', ['Subdepartment'])

        # Adding model 'Category'
        db.create_table('rattail_categories', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('number', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('name', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
                ('department', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Department'], null=True, db_column='department_uuid', blank=True)),
                ))
        db.send_create_signal('rattail', ['Category'])

        # Adding model 'Brand'
        db.create_table('rattail_brands', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['Brand'])

        # Adding model 'Vendor'
        db.create_table('rattail_vendors', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('id', self.gf('django.db.models.fields.CharField')(max_length=15, null=True, blank=True)),
                ('name', self.gf('django.db.models.fields.CharField')(max_length=40, null=True, blank=True)),
                ('special_discount', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=5, decimal_places=3, blank=True)),
                ))
        db.send_create_signal('rattail', ['Vendor'])

        # Adding model 'Product'
        db.create_table('rattail_products', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('upc', self.gf('rattail.django.rattail.models.rattail.GPCField')(db_index=True)),
                ('department', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Department'], null=True, db_column='department_uuid', blank=True)),
                ('subdepartment', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Subdepartment'], null=True, db_column='subdepartment_uuid', blank=True)),
                ('category', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Category'], null=True, db_column='category_uuid', blank=True)),
                ('brand', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Brand'], null=True, db_column='brand_uuid', blank=True)),
                ('description', self.gf('django.db.models.fields.CharField')(max_length=60, null=True, blank=True)),
                ('description2', self.gf('django.db.models.fields.CharField')(max_length=60, null=True, blank=True)),
                ('size', self.gf('django.db.models.fields.CharField')(max_length=30, null=True, blank=True)),
                ('unit_of_measure', self.gf('django.db.models.fields.CharField')(max_length=4, null=True, blank=True)),
                ('regular_price', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='+', null=True, db_column='regular_price_uuid', to=orm['rattail.ProductPrice'])),
                ('current_price', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='+', null=True, db_column='current_price_uuid', to=orm['rattail.ProductPrice'])),
                ))
        db.send_create_signal('rattail', ['Product'])

        # Adding model 'ProductPrice'
        db.create_table('rattail_product_prices', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('product', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Product'], db_column='product_uuid')),
                ('type', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('level', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('starts', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
                ('ends', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
                ('price', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=8, decimal_places=3, blank=True)),
                ('multiple', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('pack_price', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=8, decimal_places=3, blank=True)),
                ('pack_multiple', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['ProductPrice'])

        # Adding model 'ProductCost'
        db.create_table('rattail_product_costs', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('product', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Product'], db_column='product_uuid')),
                ('vendor', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Vendor'], db_column='vendor_uuid')),
                ('preference', self.gf('django.db.models.fields.IntegerField')()),
                ('code', self.gf('django.db.models.fields.CharField')(max_length=15, null=True, blank=True)),
                ('case_size', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('case_cost', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=9, decimal_places=5, blank=True)),
                ('pack_size', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('pack_cost', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=9, decimal_places=5, blank=True)),
                ('unit_cost', self.gf('django.db.models.fields.DecimalField')(null=True, max_digits=9, decimal_places=5, blank=True)),
                ('effective', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['ProductCost'])

        # Adding model 'Employee'
        db.create_table('rattail_employees', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('id', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
                ('person', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Person'], db_column='person_uuid')),
                ('status', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('display_name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['Employee'])

        # Adding model 'Customer'
        db.create_table('rattail_customers', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('id', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
                ('name', self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True)),
                ('email_preference', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['Customer'])

        # Adding model 'CustomerGroup'
        db.create_table('rattail_customer_groups', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('id', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
                ('name', self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True)),
                ))
        db.send_create_signal('rattail', ['CustomerGroup'])

        # Adding model 'CustomerGroupAssignment'
        db.create_table('rattail_customers_groups', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('customer', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.Customer'], db_column='customer_uuid')),
                ('group', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['rattail.CustomerGroup'], db_column='group_uuid')),
                ('ordinal', self.gf('django.db.models.fields.IntegerField')()),
                ))
        db.send_create_signal('rattail', ['CustomerGroupAssignment'])

        # Adding model 'LabelProfile'
        db.create_table('rattail_label_profiles', (
                ('uuid', self.gf('rattail.django.rattail.models.core.UUIDField')(max_length=32, primary_key=True)),
                ('ordinal', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
                ('code', self.gf('django.db.models.fields.CharField')(max_length=3, null=True, blank=True)),
                ('description', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
                ('printer_spec', self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True)),
                ('formatter_spec', self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True)),
                ('format', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
                ('visible', self.gf('django.db.models.fields.BooleanField')(default=False)),
                ))
        db.send_create_signal('rattail', ['LabelProfile'])


    def backwards(self, orm):
        # Deleting model 'LabelProfile'
        db.delete_table('rattail_label_profiles')

        # Deleting model 'CustomerGroupAssignment'
        db.delete_table('rattail_customers_groups')

        # Deleting model 'CustomerGroup'
        db.delete_table('rattail_customer_groups')

        # Deleting model 'Customer'
        db.delete_table('rattail_customers')

        # Deleting model 'Employee'
        db.delete_table('rattail_employees')

        # Deleting model 'ProductCost'
        db.delete_table('rattail_product_costs')

        # Deleting model 'ProductPrice'
        db.delete_table('rattail_product_prices')

        # Deleting model 'Product'
        db.delete_table('rattail_products')

        # Deleting model 'Vendor'
        db.delete_table('rattail_vendors')

        # Deleting model 'Brand'
        db.delete_table('rattail_brands')

        # Deleting model 'Category'
        db.delete_table('rattail_categories')

        # Deleting model 'Subdepartment'
        db.delete_table('rattail_subdepartments')

        # Deleting model 'Department'
        db.delete_table('rattail_departments')

        # Deleting model 'Store'
        db.delete_table('rattail_stores')

        # Deleting model 'UserRole'
        db.delete_table('rattail_users_roles')

        # Deleting model 'User'
        db.delete_table('rattail_users')

        # Deleting model 'Role'
        db.delete_table('rattail_roles')

        # Deleting model 'Party'
        db.delete_table('rattail_parties')

        # Deleting model 'PostalAddress'
        db.delete_table('rattail_postal_addresses')

        # Deleting model 'EmailAddress'
        db.delete_table('rattail_email_addresses')

        # Deleting model 'PhoneNumber'
        db.delete_table('rattail_phone_numbers')

        # Deleting model 'Person'
        db.delete_table('rattail_people')


    models = {
        'rattail.person': {
            'Meta': {'object_name': 'Person', 'db_table': "'rattail_people'"},
            'display_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'driver_license_state': ('django.db.models.fields.CharField', [], {'max_length': '4', 'null': 'True', 'blank': 'True'}),
            'driver_license_number': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'middle_name': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
        },
        'rattail.phonenumber': {
            'Meta': {'object_name': 'PhoneNumber', 'db_table': "'rattail_phone_numbers'"},
            'number': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'parent_type': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'parent_uuid': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'preference': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.emailaddress': {
            'Meta': {'object_name': 'EmailAddress', 'db_table': "'rattail_email_addresses'"},
            'address': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'parent_type': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'parent_uuid': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'preference': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.postaladdress': {
            'Meta': {'object_name': 'PostalAddress', 'db_table': "'rattail_postal_addresses'"},
            'city': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'parent_type': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'parent_uuid': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'preference': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'state': ('django.db.models.fields.CharField', [], {'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'street': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'street2': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'}),
            'zipcode': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'})
            },
        'rattail.party': {
            'Meta': {'object_name': 'Party', 'db_table': "'rattail_parties'"},
            'parent_type': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'parent_uuid': ('django.db.models.fields.CharField', [], {'max_length': '32'}),
            'person': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Person']", 'db_column': "'person_uuid'"}),
            'preference': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'}),
            },
        'rattail.role': {
            'Meta': {'object_name': 'Role', 'db_table': "'rattail_roles'"},
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '25'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.user': {
            'Meta': {'object_name': 'User', 'db_table': "'rattail_users'"},
            'password': ('django.db.models.fields.CharField', [], {'max_length': '60', 'null': 'True', 'blank': 'True'}),
            'person': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Person']", 'null': 'True', 'db_column': "'person_uuid'", 'blank': 'True'}),
            'salt': ('django.db.models.fields.CharField', [], {'max_length': '29', 'null': 'True', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '25'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.userrole': {
            'Meta': {'object_name': 'UserRole', 'db_table': "'rattail_users_roles'"},
            'role': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Role']", 'db_column': "'role_uuid'"}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.User']", 'db_column': "'user_uuid'"}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.store': {
            'Meta': {'object_name': 'Store', 'db_table': "'rattail_stores'"},
            'id': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.department': {
            'Meta': {'object_name': 'Department', 'db_table': "'rattail_departments'"},
            'name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'number': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.subdepartment': {
            'Meta': {'object_name': 'Subdepartment', 'db_table': "'rattail_subdepartments'"},
            'department': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Department']", 'null': 'True', 'db_column': "'department_uuid'", 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'number': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.category': {
            'Meta': {'object_name': 'Category', 'db_table': "'rattail_categories'"},
            'department': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Department']", 'null': 'True', 'db_column': "'department_uuid'", 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'number': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.brand': {
            'Meta': {'object_name': 'Brand', 'db_table': "'rattail_brands'"},
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.vendor': {
            'Meta': {'object_name': 'Vendor', 'db_table': "'rattail_vendors'"},
            'id': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '40', 'null': 'True', 'blank': 'True'}),
            'special_discount': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '5', 'decimal_places': '3', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.product': {
            'Meta': {'object_name': 'Product', 'db_table': "'rattail_products'"},
            'brand': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Brand']", 'null': 'True', 'db_column': "'brand_uuid'", 'blank': 'True'}),
            'category': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Category']", 'null': 'True', 'db_column': "'category_uuid'", 'blank': 'True'}),
            'current_price': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'+'", 'null': 'True', 'db_column': "'current_price_uuid'", 'to': "orm['rattail.ProductPrice']"}),
            'department': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Department']", 'null': 'True', 'db_column': "'department_uuid'", 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '60', 'null': 'True', 'blank': 'True'}),
            'description2': ('django.db.models.fields.CharField', [], {'max_length': '60', 'null': 'True', 'blank': 'True'}),
            'regular_price': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'+'", 'null': 'True', 'db_column': "'regular_price_uuid'", 'to': "orm['rattail.ProductPrice']"}),
            'size': ('django.db.models.fields.CharField', [], {'max_length': '30', 'null': 'True', 'blank': 'True'}),
            'subdepartment': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Subdepartment']", 'null': 'True', 'db_column': "'subdepartment_uuid'", 'blank': 'True'}),
            'unit_of_measure': ('django.db.models.fields.CharField', [], {'max_length': '4', 'null': 'True', 'blank': 'True'}),
            'upc': ('rattail.django.rattail.models.rattail.GPCField', [], {'db_index': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.productprice': {
            'Meta': {'object_name': 'ProductPrice', 'db_table': "'rattail_product_prices'"},
            'ends': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'level': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'multiple': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'pack_multiple': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'pack_price': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '8', 'decimal_places': '3', 'blank': 'True'}),
            'price': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '8', 'decimal_places': '3', 'blank': 'True'}),
            'product': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Product']", 'db_column': "'product_uuid'"}),
            'starts': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.productcost': {
            'Meta': {'object_name': 'ProductCost', 'db_table': "'rattail_product_costs'"},
            'case_cost': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '9', 'decimal_places': '5', 'blank': 'True'}),
            'case_size': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '15', 'null': 'True', 'blank': 'True'}),
            'effective': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'pack_cost': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '9', 'decimal_places': '5', 'blank': 'True'}),
            'pack_size': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'preference': ('django.db.models.fields.IntegerField', [], {}),
            'product': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Product']", 'db_column': "'product_uuid'"}),
            'unit_cost': ('django.db.models.fields.DecimalField', [], {'null': 'True', 'max_digits': '9', 'decimal_places': '5', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'}),
            'vendor': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Vendor']", 'db_column': "'vendor_uuid'"})
            },
        'rattail.employee': {
            'Meta': {'object_name': 'Employee', 'db_table': "'rattail_employees'"},
            'display_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'person': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Person']", 'db_column': "'person_uuid'"}),
            'status': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.customer': {
            'Meta': {'object_name': 'Customer', 'db_table': "'rattail_customers'"},
            'email_preference': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.customergroup': {
            'Meta': {'object_name': 'CustomerGroup', 'db_table': "'rattail_customer_groups'"},
            'id': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.customergroupassignment': {
            'Meta': {'object_name': 'CustomerGroupAssignment', 'db_table': "'rattail_customers_groups'"},
            'customer': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.Customer']", 'db_column': "'customer_uuid'"}),
            'group': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['rattail.CustomerGroup']", 'db_column': "'group_uuid'"}),
            'ordinal': ('django.db.models.fields.IntegerField', [], {}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'})
            },
        'rattail.labelprofile': {
            'Meta': {'object_name': 'LabelProfile', 'db_table': "'rattail_label_profiles'"},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'format': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'formatter_spec': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'ordinal': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'printer_spec': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'uuid': ('rattail.django.rattail.models.core.UUIDField', [], {'max_length': '32', 'primary_key': 'True'}),
            'visible': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
            },
        }

    complete_apps = ['rattail']
